
/**
 * Repräsentiert eine 2x2 Matrix.
 */
public class Matrix
{
    public double[][] m;
    
    public Matrix()
    {
        m = new double[2][2];
    }
    
    public double berechneDeterminante()
    {
        return m[0][0]*m[1][1] - m[0][1]*m[1][0];
    }
    
    public void neu(Vektor v1, Vektor v2)
    {
        m[0][0] = v1.x;
        m[1][0] = v1.y;
        m[0][1] = v2.x;
        m[1][1] = v2.y;
    }
    
    public void ausgeben()
    {
        for(int i=0;i<m.length;i++)
        {
            for(int k=0;k<m[i].length;k++)
            {
                System.out.print(m[i][k]+"  ");
            }
            System.out.println();
        }
    }
}
